package com.tcs.tool.filter;

import java.io.CharArrayWriter;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletResponseWrapper;

public class CharResponseWrapper extends HttpServletResponseWrapper {
    private CharArrayWriter output;
    PrintWriter pw = null;

    public String toString() {
        return output.toString();
    }
    public byte[] getData() {
    	String ret = toString();
    	return (ret!=null?ret.getBytes():null);
    }
      
    public CharResponseWrapper(HttpServletResponse response) {
        super(response);
        output = new CharArrayWriter();
        pw = new PrintWriter(output);
    }

    public PrintWriter getWriter() {
        return pw;
    }
}
